package cn.wisenergy.mapper;

import cn.wisenergy.model.app.Advertising;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

public interface AdvertisingMapper extends BaseMapper<Advertising> {
    /**
     * 添加广告
     *
     * @param advertising 广告信息
     * @return 广告信息
     */
    Advertising add(Advertising advertising);

    /**
     * 编辑广告
     *
     * @param advertising 广告信息
     * @return 结果
     */
    int edit(Advertising advertising);

    /**
     * 删除广告
     *
     * @param id 广告id
     * @return 结果
     */
    int delById(@Param("id") Integer id);
}
