package cn.wisenergy.mapper;

import cn.wisenergy.model.app.LoginRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

public interface LoginRecordMapper extends BaseMapper<LoginRecord> {

    /**
     *  添加登录信息
     * @param loginRecord 登录信息
     * @return 登录信息
     */
    LoginRecord add(LoginRecord loginRecord);

    /**
     * 编辑
     * @param loginRecord 登录信息
     * @return 结果
     */
    int edit(LoginRecord loginRecord);

    /**
     *  删除登录记录
     * @param id 记录id
     * @return 结果
     */
    int delById(@Param("id") Integer id);
}
