package cn.wisenergy.mapper;

import cn.wisenergy.model.app.ScoreInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

public interface ScoreInfoMapper extends BaseMapper<ScoreInfo> {
    /**
     * 添加考生成绩
     *
     * @param scoreInfo 成绩信息
     * @return 成绩信息
     */
    ScoreInfo add(ScoreInfo scoreInfo);

    /**
     * 编辑考生成绩
     *
     * @param scoreInfo 成绩信息
     * @return 结果
     */
    int edit(ScoreInfo scoreInfo);

    /**
     * 删除考生成绩
     *
     * @param id 成绩id
     * @return 结果
     */
    int delById(@Param("id") Integer id);
}
