package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "PayRecord")
public class PayRecord implements Serializable {
    /**
     * 充值记录id
     */
    @ApiModelProperty(value = "充值记录id",name = "id")
    private Integer id;

    /**
     * 充值类型
     */
    @ApiModelProperty(value = "充值类型 1：支付宝 2：微信 3：充值卡",name = "type")
    private Integer type;

    /**
     * 充值卡卡号
     */
    @ApiModelProperty(value = "充值卡卡号",name = "cardCode")
    private String cardCode;

    /**
     * 充值用户
     */
    @ApiModelProperty(value = "充值用户",name = "userId")
    private Integer userId  ;

    /**
     * 充值金额
     */
    @ApiModelProperty(value = "充值金额 ",name = "money")
    private String money;

    /**
     * 充值结果
     */
    @ApiModelProperty(value = "充值结果 0：成功 1：失败",name = "result")
    private Integer result;
    /**
     * 充值次数
     */
    @ApiModelProperty(value = "充值次数",name = "limit")
    private Integer limit;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",name = "creteTime")
    private Date createTime;

    /**
     *更改时间
     */
    @ApiModelProperty(value = "更改时间",name = "updateTime")
    private Date updateTime;
}
