package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "SchemeInnfo")
public class SchemeInnfo {
    /**
     * 方案id
     */
    @ApiModelProperty(value = "方案id",name = "id")
    private Integer id;

    /**
     * 方案名称
     */
    @ApiModelProperty(value = "方案名称",name = "schemeName")
    private String schemeName;

    /**
     * 上传时间
     */
    @ApiModelProperty(value = "上传时间",name = "uploadTime")
    private Date uploadTime;

    /**
     * 方案类型
     */
    @ApiModelProperty(value = "方案类型：1：本科",name = "type")
    private Integer type  ;

    /**
     * 方案详情
     */
    @ApiModelProperty(value = "方案详情",name = "detail")
    private String detail;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",name = "creteTime")
    private Date createTime;

    /**
     *更改时间
     */
    @ApiModelProperty(value = "更改时间",name = "updateTime")
    private Date updateTime;
}
