package cn.wisenergy.model.app;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "UserLimit")
public class UserLimit {
    /**
     * 用户卡点id
     */
    @ApiModelProperty(value = "用户卡点id",name = "id")
    private Integer id;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id",name = "userId")
    private Integer userId;

    /**
     * 总次数
     */
    @ApiModelProperty(value = "总次数",name = "totalLimit")
    private Integer totalLimit;

    /**
     * 已使次数
     */
    @ApiModelProperty(value = "已使次数",name = "useLimit")
    private Integer useLimit  ;

    /**
     * 可用次数
     */
    @ApiModelProperty(value = "可用次数",name = "usableLimit")
    private Integer usableLimit;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间",name = "creteTime")
    private Date createTime;

    /**
     *更改时间
     */
    @ApiModelProperty(value = "更改时间",name = "updateTime")
    private Date updateTime;
}
