package cn.wisenergy.service.app;

import cn.wisenergy.model.app.SchemeQueryRecord;

import java.util.List;

public interface SchemeRecordService {
    /**
     * 添加方案查询记录
     *
     * @param schemeRecordService 方案信息
     * @return 方案信息
     */
    SchemeQueryRecord add(SchemeRecordService schemeRecordService);

    /**
     * 获取方案查询列表
     *
     * @param userId 用户id
     * @return 方案查询列表
     */
    List<SchemeRecordService> getList(Integer userId);


}
